<template>
  <div class="progresso">
    <div class="progresso_titulo">{{ titulo }}</div>
    <div class="progesso_creditos">
      (<span class="cred_cumpridos">{{ cred_cumpridos }}</span> +
      <span class="cred_plan">{{ cred_plan}}</span>) /
      {{ cred_total }} créditos
    </div>
    <div class="barra">
      <div class="barra_item barra_feitos"
        :style="determinaLargura(cred_cumpridos, cred_total, 0)"/>

      <div class="barra_item barra_planejados"
        :style="determinaLargura(cred_plan, cred_total, cred_cumpridos)"/>

    </div>
  </div>
</template>

<script>
export default {
  props: ["titulo", "cred_cumpridos", "cred_plan", "cred_total"],

  methods: {
    determinaLargura(cred_atual, cred_total, extra) {
      return `width: ${(cred_atual + extra) * 100 / cred_total}%`
    }
  }
}
</script>

<style lang="scss">
.progresso {
  display: flex;
  flex-flow: column nowrap;

  user-select: none;
}

.progresso_titulo {
  margin-bottom: 0.6em;
  color: $primary-color;
}

.progesso_creditos {
  align-self: center;
}

.cred_cumpridos {
  color: $primary-color;
}

.cred_plan {
  color: $secondary-color;
}

.barra {
  margin: 0.6em 0;
  border-radius: 0.3em;

  display: grid;
  grid-template-rows: 100%;
  grid-template-columns: 100%;

  width: 200px;
  height: 1.1em;

  background: $medium-color;
}

.barra_item {
  height: 100%;
  border-radius: 0.3em;
}

.barra_feitos {
  grid-row: 1 / 2;
  grid-column: 1 / 2;
  background: $primary-color;
  z-index: 10;
}

.barra_planejados {
  grid-row: 1 / 2;
  grid-column: 1 / 2;
  background: $secondary-color;
}
</style>

